%define version_iscan_data 1.39.2

Name:           libsane-epkowa
Version:        2.30.4
Release:        8%{?dist}
Summary:        Sane back-end for EPSON scanners and all-in-ones
License:        GPL-2.0 and AVASYSPL
Group:          Hardware/Scanner
Url:            http://download.ebz.epson.net/dsc/search/01/search/?OSC=LX
Source0:        http://support.epson.net/linux/src/scanner/iscan/iscan_%{version}-2.tar.gz
Source1:        http://support.epson.net/linux/src/scanner/iscan/iscan-data_%{version_iscan_data}-1.tar.gz
Source2:        epkowa.conf
Patch0:         iscan-2.30.4-2-sscanf.patch
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  gtk2-devel
BuildRequires:  libxslt
BuildRequires:  libtool-ltdl-devel
BuildRequires:  sane-backends-devel

%description
Sane back-end for EPSON scanners and all-in-ones

%prep
%setup -q -n iscan-%{version}
%setup -q -D -T -a 1 -n iscan-%{version}
%patch -P0 -p1

%build
#export CFLAGS="$(echo %optflags | sed 's/\-fstack-clash-protection//')"
%configure \
  --sbindir=%{_bindir} \
  --disable-nls \
  --disable-rpath \
  --disable-frontend \
  --enable-static=no

make  %{?_smp_mflags}

cd iscan-data-%{version_iscan_data}
%configure
make  %{?_smp_mflags}
make %{?_smp_mflags} iscan-data.hwdb

%install
make DESTDIR=%{buildroot} install
install -D -m 0644 backend/epkowa.conf %{buildroot}%{_sysconfdir}/sane.d/epkowa.conf
install -D -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sane.d/dll.d/epkowa.conf
rm -f %{buildroot}%{_libdir}/sane/libsane-epkowa.{la,so}
rm -f %{buildroot}%{_bindir}/iscan-registry
rm -f %{buildroot}%{_mandir}/man8/iscan-registry.*

cd iscan-data-%{version_iscan_data}
make DESTDIR=%{buildroot} install
install -D -m 0644 iscan-data.hwdb %{buildroot}/%{_udevhwdbdir}/80-iscan-data.hwdb
rm -f %{buildroot}%{_libdir}/iscan-data/make-policy-file

%post
udevadm hwdb --update >/dev/null 2>&1 || :

%postun
udevadm hwdb --update >/dev/null 2>&1 || :

%ldconfig_scriptlets libs

%files
%doc NEWS README AUTHORS COPYING
%doc doc/xinetd.sane
%doc iscan-data-%{version_iscan_data}/KNOWN-PROBLEMS
%doc iscan-data-%{version_iscan_data}/SUPPORTED-DEVICES
%dir %{_sysconfdir}/sane.d
%dir %{_sysconfdir}/sane.d/dll.d
%config %{_sysconfdir}/sane.d/epkowa.conf
%config %{_sysconfdir}/sane.d/dll.d/epkowa.conf
%{_libdir}/sane/libsane-epkowa.so.*
%{_mandir}/man5/sane-epkowa.5.gz
%{_datadir}/iscan-data
%{_udevhwdbdir}/80-iscan-data.hwdb

%changelog
* Tue Sep 03 2024 Fabrice Bellet <fabrice@bellet.info> - 2.30.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fabrice Bellet <fabrice@bellet.info> - 2.30.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fabrice Bellet <fabrice@bellet.info> - 2.30.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jul 23 2023 Fabrice Bellet <fabrice@bellet.info> - 2.30.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fabrice Bellet <fabrice@bellet.info> - 2.30.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 27 2022 Fabrice Bellet <fabrice@bellet.info> - 2.30.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jan 29 2022 Fabrice Bellet <fabrice@bellet.info> - 2.30.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Sep 13 2021 Fabrice Bellet <fabrice@bellet.info> - 2.30.4-1
- Initial package for Fedora
